function print_report(filename,labels,V,num,overwrite)
% num: 0=text, 1=real, 2=integer, 3=real max precision
% argin output, labs, V, num, overwrite
if nargin < 5
    overwrite=1;
end

if exist(filename,'file') == 2 && overwrite == 0
    
   
    fid = fopen(filename,'a');
else
    fid = fopen(filename,'wt');
 
    for i=1:length(labels)-1
        fprintf(fid,'%s\t',labels{i});
    end
    fprintf(fid,'%s\n',labels{end});
    
end

strs = cell(length(num),1);
for i=1:length(num)-1
    if num(i)==1
        strs{i} = '%0.4f\t';
    elseif num(i)==2
        strs{i} = '%0.0f\t';
    elseif num(i)==3
        strs{i} = '%f\t';
    else
        strs{i} = '%s\t';
    end
end
if num(end)==1
    strs{end} = '%0.4f\n';
elseif num(i)==2
    strs{end} = '%0.0f\n';
elseif num(i)==3
    strs{end} = '%f\n';
else
    strs{end} = '%s\n';
end

for i=1:length(V{1})
    for j=1:length(num)
        if num(j)~=0
            fprintf(fid,strs{j},V{j}(i));
        else
            fprintf(fid,strs{j},V{j}{i});
        end
    end
end
fclose(fid);