function n_cols = get_col_num(filename,delim,h_lines)
if nargin<2
    delim = '\t';
end
if nargin<3
    h_lines = 0;
end

re = 1;
bs = 1e4;
rc = 0;
while re==1
    fid = fopen(filename);
    tmp = textscan(fid,repmat('%s',1,bs*2^rc),1,'delimiter',delim,'headerlines',h_lines,'bufsize',1e7);
    fclose(fid);
    if isempty(tmp{end}{1})
        re=0;
        for i=1:length(tmp)
            tmp{i} = tmp{i}{1};
        end
    else
        rc = rc+1;
    end            
end

emp = zeros(length(tmp),1);
for i=1:length(tmp)
    if ~isempty(tmp{i})
        emp(i) = 1;
    end
end
n_cols = find(emp==1,1,'last');